kr.co.hanwha.hifive.adapter

## Class AddTaskSelectMemberListAdapter

- java.lang.Object
- - android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>
  - - kr.co.hanwha.hifive.adapter.AddTaskSelectMemberListAdapter

All Implemented Interfaces:
  android.widget.Filterable, AddTaskSelectMemberListContract.Model, AddTaskSelectMemberListContract.View

    public class AddTaskSelectMemberListAdapter
    extends android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>
    implements AddTaskSelectMemberListContract.Model, AddTaskSelectMemberListContract.View, android.widget.Filterable

Add TASK : 멤버 선택 리스트 어댑터

See Also:
  `

  Created by sanghoonkwon on 2018. 1. 18..

  `

### Field Summary

Fields
`private java.util.ArrayList<MemberInfoData>` `mListData`
`private java.util.ArrayList<MemberInfoData>` `mListSearchData`
`private AddTaskSelectMemberListContract.OnSelectMemberListListener` `mOnRequestListListener`
`private java.util.HashMap<java.lang.String,MemberInfoData>` `mSelectedData`
`private int` `ZERO`

### Constructor Summary

Constructors
Constructor and Description
`AddTaskSelectMemberListAdapter(AddTaskSelectMemberListContract.OnSelectMemberListListener onRequestListListener)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addItem(MemberInfoData memberInfoData, int index)`
`void` `addItems(java.util.ArrayList<MemberInfoData> list)`
`void` `clearItems()` Model
`android.widget.Filter` `getFilter()` Filterable
`int` `getItemCount()`
`void` `notifyDataAll()` View
`void` `notifyDataRangeChanged(int positionStart, int itemCount)`
`void` `onBindViewHolder(android.support.v7.widget.RecyclerView.ViewHolder holder, int position)`
`android.support.v7.widget.RecyclerView.ViewHolder` `onCreateViewHolder(android.view.ViewGroup parent, int viewType)` Adapter
`void` `setSelectedData(java.util.HashMap<java.lang.String,MemberInfoData> selectedData)`

### Methods inherited from class android.support.v7.widget.RecyclerView.Adapter

`bindViewHolder, createViewHolder, getItemId, getItemViewType, hasObservers, hasStableIds, notifyDataSetChanged, notifyItemChanged, notifyItemChanged, notifyItemInserted, notifyItemMoved, notifyItemRangeChanged, notifyItemRangeChanged, notifyItemRangeInserted, notifyItemRangeRemoved, notifyItemRemoved, onAttachedToRecyclerView, onBindViewHolder, onDetachedFromRecyclerView, onFailedToRecycleView, onViewAttachedToWindow, onViewDetachedFromWindow, onViewRecycled, registerAdapterDataObserver, setHasStableIds, unregisterAdapterDataObserver`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ZERO

    private final int ZERO

See Also:
  Constant Field Values

#### mOnRequestListListener

    private AddTaskSelectMemberListContract.OnSelectMemberListListener mOnRequestListListener

#### mListData

    private java.util.ArrayList<MemberInfoData> mListData

#### mListSearchData

    private java.util.ArrayList<MemberInfoData> mListSearchData

#### mSelectedData

    private java.util.HashMap<java.lang.String,MemberInfoData> mSelectedData

### Constructor Detail

#### AddTaskSelectMemberListAdapter

    public AddTaskSelectMemberListAdapter(AddTaskSelectMemberListContract.OnSelectMemberListListener onRequestListListener)

### Method Detail

#### notifyDataAll

    public void notifyDataAll()

View

Specified by:
  `notifyDataAll` in interface `AddTaskSelectMemberListContract.View`

#### notifyDataRangeChanged

    public void notifyDataRangeChanged(int positionStart,
                                       int itemCount)

Specified by:
  `notifyDataRangeChanged` in interface `AddTaskSelectMemberListContract.View`

#### clearItems

    public void clearItems()

Model

Specified by:
  `clearItems` in interface `AddTaskSelectMemberListContract.Model`

#### addItem

    public void addItem(MemberInfoData memberInfoData,
                        int index)

Specified by:
  `addItem` in interface `AddTaskSelectMemberListContract.Model`

#### addItems

    public void addItems(java.util.ArrayList<MemberInfoData> list)

Specified by:
  `addItems` in interface `AddTaskSelectMemberListContract.Model`

#### setSelectedData

    public void setSelectedData(java.util.HashMap<java.lang.String,MemberInfoData> selectedData)

Specified by:
  `setSelectedData` in interface `AddTaskSelectMemberListContract.Model`

#### onCreateViewHolder

    public android.support.v7.widget.RecyclerView.ViewHolder onCreateViewHolder(android.view.ViewGroup parent,
                                                                                int viewType)

Adapter

Specified by:
  `onCreateViewHolder` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`

#### onBindViewHolder

    public void onBindViewHolder(android.support.v7.widget.RecyclerView.ViewHolder holder,
                                 int position)

Specified by:
  `onBindViewHolder` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`

#### getItemCount

    public int getItemCount()

Specified by:
  `getItemCount` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`

#### getFilter

    public android.widget.Filter getFilter()

Filterable

Specified by:
  `getFilter` in interface `android.widget.Filterable`